Magento Expert Forum - Improve your Magento experience

onet connect
Results 1 to 2 of 2

Avoid errors during upgrade magento 1.7 to 1.9

  1. #1
    Junior Member superkool2011's Avatar
    Join Date
    Nov 2014
    Thanked 41 Times in 40 Posts

    Thumbs up Avoid errors during upgrade magento 1.7 to 1.9

    E-commerce market extended with high-speed. A lot of new online stores are active. Many e-merchants chosen Magento 1.7 that was the most popular e-commerce platform in 2012. Magento 1.7 is be-loved with customer group based pricing, coupon code auto-generation, bank transfer payments, email logos, CAPTCHA and so on. It was amazing in 2012.

    After 8 years of developing, Magento is developing continuously with grandiose support for online stores.

    You have using Magento 1.7 since 2012. Now, you want to upgrade magento 1.7 to 1.9. Magento 1.9 is last version of Magento 1.x with a lot of powerful features that makes your online business successfully quickly. Amazing features are financing and payment solutions, security and UX, you can learn more at magento upgrade 1.9. Magento 1.9 is friendly with users of Magento 1.x, from 1.4 to 1.8.

    First of all, create the database same as current magento 1.7. Then download magento from

    Now run the installation of magento 1.9 and choose the database of your old website (magento 1.7)

    Now you can take the your theme and skin from old version to new. Then after check one by one-third party extension from old to new. I did it and it will work for me.

    Unfortunately, this way hides many errors that can happen anywhere. It requires dev technical knowledge about migration. It is not your strength. Migration expert advices clients and dev to seek help from migration developers or migration providers. Magento upgrade 1.9 of LitExtension is a striking example.

    Here is an overview about magento upgrade 1.7 to 1.9:

    Name:  main-qimg-65ba49597e769ec59e2c8767bff9ad58-c?convert_to_webp=true.jpg
Views: 8
Size:  79.8 KB

    Beside magento 1.9, e-merchants can choose magento 2 that is the last version of Magento. It is required deep learning-circle. Here is how to upgrade magento 2.

    View more threads in the same category:

  2. #2
    Junior Member alex118's Avatar
    Join Date
    Nov 2014
    Thanked 55 Times in 47 Posts


    Magento upgrade service is the smart solution for non-tech e-merchants to migrate database such as products, customers, categories, orders, reviews, taxes, SEO URLs and even custom field from source store (magento 1.7) to target store (magento 1.9). This plugin is set up on Magento 1.9 and run to upgrade magento 1.7 to 1.9 automatically.
    If you want to be a member of magento 1.9 and enjoy new store, I suggest e-merchants to see Magento migration steps
    LitExtension - a provider of shopping cart migration

Tags for this Thread


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts